#!/bin/bash
echo "Forward to 1"

ssh r1 "echo 1 > /proc/sys/net/ipv4/ip_forward"

echo "creation"

ssh r1 "ip link add br0 type bridge"
ssh r1 "ip link add br1 type bridge"

ssh r1 "ip link add veth1 type veth peer name veth1_r2"
ssh r1 "ip link add veth0 type veth peer name veth0_r3"
ssh r1 "ip link add veth2 type veth peer name veth2_r3"

ssh r1 "ip netns add r2"
ssh r1 "ip netns add r3"

echo "r1 config"

ssh r1 "ip link set eth1 master br1"
ssh r1 "ip link set eth1 up"
ssh r1 "ip link set veth1 master br1"
ssh r1 "ip link set veth1 up"

ssh r1 "ip link set eth0 master br0"
ssh r1 "ip link set eth0 up"
ssh r1 "ip link set veth0 master br0"
ssh r1 "ip link set veth0 up"

ssh r1 "ip link set up br0"
ssh r1 "ip link set up br1"

echo "r2 config"
ssh r1 "ip link set veth1_r2 netns r2"
ssh r1 "ip link set veth2 netns r2"

ssh r1 "ip netns exec r2 ip addr add 10.0.0.1/24 dev veth1_r2"
ssh r1 "ip netns exec r2 ip link set up veth1_r2"

ssh r1 "ip netns exec r2 ip addr add 192.168.2.2/24 dev veth2"
ssh r1 "ip netns exec r2 ip link set up veth2"

echo "r3 config"
ssh r1 "ip link set veth2_r3 netns r3"
ssh r1 "ip link set veth0_r3 netns r3"

ssh r1 "ip netns exec r3 ip addr add 192.168.2.3/24 dev veth2_r3"
ssh r1 "ip netns exec r3 ip link set up veth2_r3"

ssh r1 "ip netns exec r2 ip route add default via 192.168.2.3"
ssh r1 "ip netns exec r3 ip route add 10.0.0.0/24 via 192.168.2.2"

ssh r1 "ip netns exec r3 dhclient -v veth0_r3"
ssh r1 "ip netns exec r3 nft -f nftrule_4.txt"

echo "h1 config"
ssh h1 "ip addr add 10.0.0.3/24 dev eth0"
ssh h1 "ip link set up eth0"
ssh h1 "ip route add default via 10.0.0.1"
