#!/bin/bash

echo "Forward to 1"

ssh r1 "echo 1 > /proc/sys/net/ipv4/ip_forward"

echo "create veth pair"

ssh r1 "ip link add veth0 type veth peer name veth0_ns2 && ip link add veth1 type veth peer name veth1_ns2"

echo "Add namespace"

ssh r1 "ip netns add ns2"

echo "Move veth to ns2"

ssh r1 "ip link set veth1_ns2 netns ns2 && ip link set veth0_ns2 netns ns2"
echo "IP config r1"

ssh r1 "ip addr add 10.0.0.1/24 dev eth1"
ssh r1 "ip link set up eth1"

ssh r1 "ip addr add 192.168.1.1/24 dev veth1"
ssh r1 "ip link set up veth1"

ssh r1 "ip netns exec ns2 ip addr add 192.168.1.2/24 dev veth1_ns2"
ssh r1 "ip netns exec ns2 ip link set up veth1_ns2"

ssh r1 "ip r del default"
ssh r1 "ip r add default via 192.168.1.2"

ssh r1 "dhclient -v eth0"

ssh r1 "ip netns exec ns2 ip addr add 192.168.0.2/24 dev veth0_ns2"
ssh r1 "ip netns exec ns2 ip link set up veth0_ns2"


ssh r1 "ip addr add 192.168.0.1/24 dev veth0"
ssh r1 "ip link set up veth0"

ssh r1 "ip netns exec ns2 ip r add default via 192.168.0.1"
ssh r1 "ip netns exec ns2 ip r add 10.0.0.0/24 via 192.168.1.1"

ssh r1 "echo 100 custom >> /etc/iproute2/rt_tables"
ssh r1 "ip rule add iif veth0 table custom"
ssh r1 "ip r add default via 172.21.1.1 table custom"

ssh r1 "nft -f nftrule_2.txt"
ssh r1 "ip netns exec ns2 nft -f nftrule_natr2_policy.txt"

echo "Configure h1"
ssh h1 "ip addr add 10.0.0.3/24 dev eth0"
ssh h1 "ip link set up eth0"
ssh h1 "ip r add default via 10.0.0.1"
