#!/bin/bash

echo "Forward to 1"

ssh r1 "echo 1 > /proc/sys/net/ipv4/ip_forward"

echo "Add bridges"

ssh r1 "ip link add br0 type bridge"
ssh r1 "ip link add br1 type bridge"

echo "Add veth pairs"

ssh r1 "ip link add veth0 type veth peer name veth0_ns2 && ip link add veth1 type veth peer name veth1_ns2"

echo "Add namespace"

ssh r1 "ip netns add ns2"

echo "Move veth to ns2"

ssh r1 "ip link set veth1_ns2 netns ns2 && ip link set veth0_ns2 netns ns2"

echo "Master bridges"

ssh r1 "ip link set eth0 master br0 && ip link set veth0 master br0"
ssh r1 "ip link set eth1 master br1 && ip link set veth1 master br1"

echo "First links up"

ssh r1 "ip link set eth0 up"
ssh r1 "ip link set eth1 up"
ssh r1 "ip link set br0 up"
ssh r1 "ip link set br1 up"
ssh r1 "ip link set veth0 up"
ssh r1 "ip link set veth1 up"

echo "ns2 config"

ssh r1 "ip netns exec ns2 ip addr add 10.0.0.1/24 dev veth1_ns2"
ssh r1 "ip netns exec ns2 dhclient veth0_ns2"
ssh r1 "ip netns exec ns2 nft -f nftrule.txt"
ssh r1 "ip netns exec ns2 ip link set up veth1_ns2"

echo "h1 config"

ssh h1 "ip addr add 10.0.0.3/24 dev eth0"
ssh h1 "ip link set eth0 up"
ssh h1 "ip r add default via 10.0.0.1"
